Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038203
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-03-22 17:222018-05-09 19:29
ReportergorkaionView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision5e5c3183b597
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038203: Permanently adjusted transactions wrongly included in Cost Adjustment process.

DescriptionWhen a Transaction is Permanently Adjusted its Unit Cost should not change anymore.

In some scenarios when the Cost Adjustment Process is searching related transactions it is not checking if the transaction is permanently adjusted. Later the process end with errors as it is not possible to adjust the unit cost of these kind of transactions.

For example. If a "Movement To" transaction of a Goods Movements is permanently adjusted when the "Movement From" transaction is adjusted the "To" transaction should not be included in the Cost Adjustment.

When this error happens it is not possible to adjust any transaction before the permanently adjusted transaction as any Cost Adjustment Process will finish in this error.
Steps To Reproduce
1. Go to Goods Movement window and create a new header.
2. Add a line of Cerveza Ale and move 100 Uds from RN-0-0-0 to RN-1-0-0
3. Go to Product window and select Cerveza Ale.
4. On the Transactions tab search the Movement To transaction related to the Goods Movement recently processed.
5. Click on Manual Cost Adjustment and process it with following data:
** If the button is not visible go to Process Request and ensure that Costing Background Process is executed and that the goods movement transaction has its cost calculated.
- Amount: 140 (something different than current total cost)
- Date: leave default.
- Incremental: false.
6. Check that the transaction now has the Is Cost Permanent flag true.
7. Now select the previous receipt in the transactions tab:
    10000467 - 12-12-2017 - Bebidas Alegres, S.L. - 10
8. Add a Manual Cost Adjustment
- Amount: 50000
- Date: leave default.
- Incremental: true.
9. Check that the process fails and it is not possible to fix it.
It is not possible to process a Cost Adjustment that includes lines of transactions whose cost is permanently adjusted.\nLines: 50
- Unit Cost: false.
Proposed SolutionIn the method CostingAlgorithmAdjustmentImp.addCostDependingTrx()

Check that the related transactions are not permanently adjusted before inserting the new Cost Adjustment Line.

The methods that have to be reviewed are:

      searchReturnShipments(costAdjLine);
      searchVoidInOut(costAdjLine);
      searchIntMovementTo(costAdjLine);
      searchVoidInternalConsumption(costAdjLine);
      searchBOMProducts(costAdjLine);
      searchManufacturingProduced(costAdjLine);
      searchOpeningInventory(costAdjLine);

Ideally a warning could be raised to the user.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038202 closedAtulOpenbravo Wrong error management in Process Price Difference Adjustment 
related to defect 0038307 closedgorkaion Wrong negative correction amount when trx has no unit cost adjustments 

-  Notes
(0103803)
AtulOpenbravo (developer)
2018-04-11 08:49

Test Plan

- Go to Goods Movement window and create a new header.
- Add a line of Cerveza Ale and move 100 Uds from RN-0-0-0 to RN-1-0-0
- Go to Product window and select Cerveza Ale.
- On the Transactions tab search the Movement To transaction related to the Goods Movement recently processed.
- Click on Manual Cost Adjustment and process it with following data:
  ** If the button is not visible go to Process Request and ensure that Costing Background Process is executed and that the goods movement transaction has its cost calculated.
  - Amount: 140 (something different than current total cost)
  - Date: leave default.
  - Incremental: false.
- Check that the transaction now has the Is Cost Permanent flag true.
- Now select the previous receipt in the transactions tab:
    10000467 - 12-12-2017 - Bebidas Alegres, S.L. - 10
- Add a Manual Cost Adjustment
  - Amount: 50000
  - Date: leave default.
  - Incremental: true.
- Check that the process is completed successfully.
- Navigate to Cost Adjustment window and realize that goods movement transaction marked as Permanent Cost = true is not included in the lines.
(0103812)
hgbot (developer)
2018-04-11 14:16

Repository: erp/devel/pi
Changeset: 5e5c3183b5971eca4a863462f621774c00165f5d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Apr 10 19:22:43 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/5e5c3183b5971eca4a863462f621774c00165f5d [^]

Fixes Issue 38203:Permanently adjusted transactions wrongly included
in Cost Adjustment process.

Before adding cost adjustment line for transaction, check is done
whether a transaction has permanent cost flag set as true,
if yes do not add cost adjustment line for it.

---
M src/org/openbravo/costing/CostingAlgorithmAdjustmentImp.java
---
(0103814)
aferraz (developer)
2018-04-11 14:19

Code review + Testing OK
(0104370)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-22 17:22 gorkaion New Issue
2018-03-22 17:22 gorkaion Assigned To => Triage Finance
2018-03-22 17:22 gorkaion Modules => Core
2018-03-22 17:22 gorkaion Triggers an Emergency Pack => No
2018-03-22 17:24 gorkaion Relationship added related to 0038202
2018-03-22 17:24 ngarcia Issue Monitored: ngarcia
2018-03-22 17:42 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-04-08 19:39 AtulOpenbravo Status new => scheduled
2018-04-10 13:46 gorkaion Issue cloned 0038307
2018-04-10 13:46 gorkaion Relationship added related to 0038307
2018-04-11 08:49 AtulOpenbravo Note Added: 0103803
2018-04-11 14:16 hgbot Checkin
2018-04-11 14:16 hgbot Note Added: 0103812
2018-04-11 14:16 hgbot Status scheduled => resolved
2018-04-11 14:16 hgbot Resolution open => fixed
2018-04-11 14:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5e5c3183b5971eca4a863462f621774c00165f5d [^]
2018-04-11 14:19 aferraz Review Assigned To => aferraz
2018-04-11 14:19 aferraz Note Added: 0103814
2018-04-11 14:19 aferraz Status resolved => closed
2018-04-11 14:19 aferraz Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104370


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker